package com.example.randomtaskmobile

import GlobalSharedPreferences
import android.content.Intent
import android.os.Build
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.annotation.RequiresApi
import androidx.appcompat.app.AppCompatDelegate
import model.AppDatabase
import model.TaskEntity
import java.time.LocalDateTime

class SplashActivity : AppCompatActivity() {
    private  lateinit var shPref: GlobalSharedPreferences
    @RequiresApi(Build.VERSION_CODES.O)
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_splash)
        AppCompatDelegate.setDefaultNightMode(AppCompatDelegate.MODE_NIGHT_NO);
        shPref = GlobalSharedPreferences(this)
        //обработка открытия страниц, в зависимости от первого запуска и наличия пароля
        if(!shPref.firstStartApp)
        {
            startActivity(Intent(this, ListTaskActivity::class.java))
        }
        else
        {
            startActivity(Intent(this, StartActivity::class.java))
        }
        finish()
    }
}